Employees
1 min
GET
https://tnapi.ticketpay.de/exports/employees
Query Parameters
- fromstringExampleDescription
- tostringExampleDescription
- filter_bystringExampleDescription
- time_periodstringDescription
- time_rangeintegerDescription
- idintegerDescription
- emailstringDescription
- qrcode_valueintegerDescription
- project_idintegerDescription
- partner_idintegerDescription
- profile_idintegerDescription
- statusstringDescription
- per_pageintegerDescription
- pageintegerDescription
Header Parameters
- AuthorizationstringrequiredDescription
Responses
200
- get_employees
- totalintegerExample
- pageintegerExample
- sizeintegerExample
- dataobject[]
- idintegerExample
- statusstringExample
- first_namestringExample
- middle_namesstringExample
- last_namestringExample
- birth_namestringExample
- previous_last_namesstringExample
- birth_datestringExample
- birth_placestringExample
- birth_countrystringExample
- zipstringExample
- citystringExample
- streetstringExample
- house_numberstringExample
- nationalitystringExample
- countrystringExample
- statestringExample
- genderstringExample
- languagestringExample
- mailstringExample
- bsnstring
- qrcode_valuestringExample
- custom_text_field_1string
- custom_text_field_2string
- custom_text_field_3string
- custom_checkbox_1string
- custom_checkbox_2string
- custom_checkbox_3string
- partner_namestringExample
- partner_emailstringExample
- partner_languagestringExample
- partner_contactstringExample
- partner_profilesstringExample
- profile_namestringExample
- profile_is_reserveboolean
- profile_time_rangesobject[]Example
[ "FR", "SA", "SO" ]
- profile_areasstringExample
[ "F", "VIP" ]
- project_idintegerExample
- partner_idintegerExample
- profile_idintegerExample
- created_isostringExample
- updated_isostringExample
401
- not_authorized
- messagestringExample
curl
curl --request GET \
--url https://tnapi.ticketpay.de/exports/employees \
--header 'accept: application/json' \
--header 'authorization: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("authorization", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://tnapi.ticketpay.de/exports/employees", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://tnapi.ticketpay.de/exports/employees")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["authorization"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://tnapi.ticketpay.de/exports/employees"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'authorization': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Response for get employees.
{
"total": 14,
"page": 1,
"size": 32,
"data": [
{
"id": 23841,
"status": "imported",
"first_name": "John",
"middle_names": "Hans",
"last_name": "Wilson",
"birth_name": "Wilson",
"previous_last_names": "Wilsonsen",
"birth_date": "2000-01-01T00:00:00.000+01:00",
"birth_place": "Hamm",
"birth_country": "DE",
"zip": 59071,
"city": "Hamm",
"street": "Herbert-Rust-Weg",
"house_number": 27,
"nationality": "Deutsch",
"country": "DE",
"state": "NW",
"gender": "m",
"language": "de",
"mail": "[email protected]",
"bsn": "",
"qrcode_value": "X323HGF677GBJ",
"custom_text_field_1": "",
"custom_text_field_2": "",
"custom_text_field_3": "",
"custom_checkbox_1": "",
"custom_checkbox_2": "",
"custom_checkbox_3": "",
"partner_name": "TicketPAY",
"partner_email": "[email protected]",
"partner_language": "de",
"partner_contact": "Herr Mustermann",
"partner_profiles": "Profil 3",
"profile_name": "Profil 3",
"profile_is_reserve": false,
"profile_time_ranges": [
{}
],
"profile_areas": "[\"F\",\"VIP\"]",
"project_id": 95,
"partner_id": 22,
"profile_id": 244,
"created_iso": "2022-02-26T19:29:42+01:00",
"updated_iso": "2022-02-26T19:29:43+01:00"
}
]
}401
// Response for a failed authentification.
{
"message": "Unauthorized"
}